Package org.eclipse.e4.ui.internal

# Class LocaleChangeServiceContextFunction

java.lang.Object
org.eclipse.e4.core.contexts.ContextFunction
org.eclipse.e4.ui.internal.LocaleChangeServiceContextFunction

All Implemented Interfaces:
  `IContextFunction`

public class LocaleChangeServiceContextFunction extends ContextFunction
Context function to provide the LocaleChangeServiceImpl to the application context.

## Field Summary

### Fields inherited from interface org.eclipse.e4.core.contexts.IContextFunction

`SERVICE_CONTEXT_KEY, SERVICE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`LocaleChangeServiceContextFunction()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`compute(IEclipseContext context, String contextKey)`
Evaluates the function based on the provided arguments and context to produce a consistent result.

### Methods inherited from class org.eclipse.e4.core.contexts.ContextFunction

`compute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocaleChangeServiceContextFunction

public LocaleChangeServiceContextFunction()

## Method Details

### compute

public Object compute(IEclipseContext context, String contextKey)
Description copied from interface: `IContextFunction`
Evaluates the function based on the provided arguments and context to produce a consistent result.

Specified by:
  `compute` in interface `IContextFunction`
Overrides:
  `compute` in class `ContextFunction`
Parameters:
  `context` - The context in which to perform the value computation.
  `contextKey` - The context key used to find this function; may be `null` such as if invoked directly.
Returns:
  The concrete value. Implementations may return `IInjector.NOT_A_VALUE` to cause lookup to continue up the context hierarchy.